plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion
    ndkVersion rootProject.ext.android.ndkVersion

    defaultConfig {
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk

        externalNativeBuild {
            cmake {
                cppFlags '-std=c++11 -frtti -fexceptions -lz'
                abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
            }
        }

        ndk {
            // 设置支持的SO库架构
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }

    buildTypes {
        release {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.eyuancomm.comm"]
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }

    externalNativeBuild {
        cmake {
            path "CMakeLists.txt"
        }
    }
}

dependencies {
    implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"
    implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutines_version"
    implementation "androidx.core:core-ktx:1.7.0"
    // 日志采集框架
    implementation 'io.github.suyghur.dolin:zap:1.0.0'


    api files("../libs/yyxx_support_1.0.2.jar")
    api files("../libs/oaid_sdk_1.0.25.jar")

}